Resolution: Fixed Affected version:

Description

Hi there,

this patch corrects a bug in the calculation of the done_ratio value in some edge case.
Ways to reproduce this bug:

Define a parent issue

Define two subissues on this parent issue

Set on one subissue estimated_hours to 0

Close subissue with no estimated_hours -> parent issue has done_ratio = 50%

Close subissue with estimated_hours set to zero value -> parent issue still has done_ratio = 50%

This patch solves this issue.
@Jean-Philippe: Maybe you or Toshi could take a look at this?

Best regards,
Daniel

Associated revisions

Revision 12131 - 2013-09-12 00:00 - Jean-Philippe Lang

Wrong done_ratio calculation for parent with subtask having estimated_hours=0 ().

Patch by Daniel Felix.

Revision 12132 - 2013-09-12 00:00 - Jean-Philippe Lang
Test for #14798.

Revision 12134 - 2013-09-13 19:53 - Jean-Philippe Lang
Merged r12131 and r12132 (#14798).

History

#1 - 2013-09-11 21:21 - Felix Schéfer

We also stumbled on this at Planio, the proposed diff fixes the problem, thanks!

#2 - 2013-09-12 00:01 - Jean-Philippe Lang
- Tracker changed from Patch to Defect

- Subject changed from Wrong done_ratio calculation on zero values in subissue. to Wrong done_ratio calculation for parent with subtask having
estimated _hours=0

- Status changed from New to Resolved
- Target version set to 2.3.3

- Resolution set to Fixed

Patch committed with a test, thanks for pointing this out.
#3 - 2013-09-13 19:53 - Jean-Philippe Lang
- Status changed from Resolved to Closed

Merged.

Files

patch_done_ratio_on_zero_values.diff 805 Bytes 2013-08-29 Daniel Felix
